<?xml version="1.0" encoding="UTF-8"?>
<schema xmlns="http://www.w3.org/2001/XMLSchema" targetNamespace="http://eclipse.org/component-use" xmlns:tns="http://eclipse.org/component-use" xmlns:api="http://eclipse.org/component-api">
	<import namespace="http://eclipse.org/component-api" schemaLocation="../../org.eclipse.component.api.core/xsd/component-api.xsd"/>
	<element name="component-use">
		<complexType>
			<sequence>
				<element name="source-class" type="tns:source-class" maxOccurs="unbounded"/>
			</sequence>
			<attribute name="name" type="string" use="required">
				<annotation>
					<documentation>
						The component name; e.g. "Eclipse Platform
						Generic Workbench"; note that this name is used
						to refer to the component and distinguish it
						from other components (but otherwise has no
						official status in Eclipse ontology)
					</documentation>
				</annotation>
			</attribute>
			<attribute name="version" type="string" use="required">
			</attribute>
		</complexType>
	</element>

	<complexType name="source-class">
		<sequence>
			<element name="class-use" type="api:class-api" maxOccurs="unbounded"/>
		</sequence>
		<attribute name="name" type="string" use="required">
		</attribute>
	</complexType>
</schema>
